//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASAGUI - Translations
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2002/02/28
// $Header: /sources/yasa/yasagui/translations.h,v 1.7 2003/01/30 09:08:08 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef YASAGUI_TRANSLATIONS_INCLUDE
#define	YASAGUI_TRANSLATIONS_INCLUDE

#include <qapplication.h>


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#define MSGP_WARNING					qApp->translate("Application"	, "Warning"					, "Project not saved?")
#define MSGP_ERROR_TITLE				qApp->translate("Application"	, "Error"					, 0)
#define MSGP_ERROR_IGNORE				qApp->translate("Application"	, "Ignore"					, 0)
#define MSGP_ERROR_CANCEL				qApp->translate("Application"	, "Cancel"					, 0)
#define MSGP_ERROR_OK					qApp->translate("Application"	, "Ok"						, 0)
#define MSGP_ERROR_YES					qApp->translate("Application"	, "Yes"						, 0)
#define MSGP_ERROR_NO					qApp->translate("Application"	, "No"						, 0)
#define MSGP_NOT_APPLICABLE				qApp->translate("Application"	, "n/a"						, 0)
#define MSGP_DERIVED					qApp->translate("Application"	, "(derived)"				, "This setting is derived" )
#define MSGP_NOT_SUPPORTED				qApp->translate("Application"	, "(not supported)"			, "This feature is not supported" )
#define MSGP_NOT_AVAILABLE_BEFORE_QT3	qApp->translate("Application"	, "Only available in QT3+ !", 0)
#define MSGP_YASA_TIME_UNIT				qApp->translate("Application"	, "ns"						, "Unit of YASA_TIME (normally a 64 bit integer)")

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#define MSGP_OUTPUT_TITLE				qApp->translate("OutputView"	, "Output window"			, 0)
#define MSGP_FIRST_HINT					qApp->translate("OutputView"	, "First hint: If you want to create a new project please click with the right mouse button on \"Projects\" and select add!"				, 0 )
#define MSGP_OUTPUTVIEW_WELCOME			qApp->translate("OutputView"	, "<font size=5><u>Welcome to YASA - the amazing scheduling analyzer</u></font>"	, 0 )
#define MSGP_OUTPUTVIEW_CLEAR			qApp->translate("OutputView"	, "Clear"					, 0 )
#define MSGP_OUTPUTVIEW_FULLSCREEN		qApp->translate("OutputView"	, "Fullscreen"				, 0 )

#define MSGP_YASA_TIME_INFINITY			qApp->translate("YASA_TIME"		, "Infinity"				, 0)

#define MSGP_NEW_WORKSPACE				qApp->translate("MainWindow"	, "New WorkSpace"			, "Caption of file dialog, Toolbar")
#define MSGP_NEW_WORKSPACE_MENU			qApp->translate("MainWindow"	, "&New WorkSpace"			, "Menu")
#define MSGP_OPEN_WORKSPACE				qApp->translate("MainWindow"	, "Open WorkSpace"			, "Caption of file dialog, Toolbar")
#define MSGP_OPEN_WORKSPACE_MENU		qApp->translate("MainWindow"	, "&Open WorkSpace"			, "Menu")
#define MSGP_SAVE_WORKSPACE				qApp->translate("MainWindow"	, "Save WorkSpace"			, "Caption of file dialog, Toolbar")
#define MSGP_SAVE_WORKSPACE_MENU		qApp->translate("MainWindow"	, "&Save WorkSpace"			, "Menu")
#define MSGP_SAVE_WORKSPACE_AS			qApp->translate("MainWindow"	, "Save WorkSpace as"		, "Caption of file dialog, Toolbar")
#define MSGP_SAVE_WORKSPACE_AS_MENU		qApp->translate("MainWindow"	, "&Save WorkSpace as"		, "Menu")
#define MSGP_CLOSE_WORKSPACE			qApp->translate("MainWindow"	, "Close WorkSpace"			, "Caption of file dialog, Toolbar")
#define MSGP_CLOSE_WORKSPACE_MENU		qApp->translate("MainWindow"	, "&Close WorkSpace"		, "Menu")
#define MSGP_EXIT						qApp->translate("MainWindow"	, "Exit"					, "Exit Button ?")
#define MSGP_EXIT_MENU					qApp->translate("MainWindow"	, "&Exit"					, "Menu")
#define MSGP_YASA						qApp->translate("MainWindow"	, "Yasa - The amazing scheduling analyzer", "Application title")
#define MSGP_WELCOME_STATUS				qApp->translate("MainWindow"	, "Welcome to YASA"			, "Text in statusbar")
#define MSGP_FILE						qApp->translate("MainWindow"	, "File Operations"			, "File Operations")
#define MSGP_FILE_MENU					qApp->translate("MainWindow"	, "&File"					, "File Menu")
#define MSGP_ALLFILES					qApp->translate("MainWindow"	, "All files (*.*)"			, "Filter for file dialog 'Save Project'")
#define MSGP_PROPERTIES					qApp->translate("MainWindow"	, "Properties"				, "toolbar")
#define MSGP_PROPERTIES_MENU			qApp->translate("MainWindow"	, "&Properties"				, "menu")
#define MSGP_ENVIRONMENT				qApp->translate("MainWindow"	, "Environment"				, "toolbar")
#define MSGP_ENVIRONMENT_MENU			qApp->translate("MainWindow"	, "&Environment"			, "menu")
#define MSGP_EXECUTE					qApp->translate("MainWindow"	, "Execute"					, "toolbar")
#define MSGP_EXECUTE_MENU				qApp->translate("MainWindow"	, "&Execute"				, "menu")
#define MSGP_ZOOM_IN					qApp->translate("MainWindow"	, "Zoom in"					, "toolbar")
#define MSGP_ZOOM_IN_MENU				qApp->translate("MainWindow"	, "&Zoom in"				, "menu")
#define MSGP_ZOOM_OUT					qApp->translate("MainWindow"	, "Zoom out"				, "toolbar")
#define MSGP_ZOOM_OUT_MENU				qApp->translate("MainWindow"	, "Zoom &out"				, "menu")
#define MSGP_WINDOWS					qApp->translate("MainWindow"	, "Windows"					, "toolbar")
#define MSGP_WINDOWS_MENU				qApp->translate("MainWindow"	, "&Windows"				, "menu")
#define MSGP_CLOSE_WINDOW				qApp->translate("MainWindow"	, "Close window"			, "toolbar")
#define MSGP_CLOSE_WINDOW_MENU			qApp->translate("MainWindow"	, "&Close window"			, "menu")
#define MSGP_NEW_WINDOW					qApp->translate("MainWindow"	, "New window"				, "toolbar")
#define MSGP_NEW_WINDOW_MENU			qApp->translate("MainWindow"	, "&New window"				, "menu")
#define MSGP_NEW_FULLSCREEN_WINDOW		qApp->translate("MainWindow"	, "New full screen window"	, "toolbar")
#define MSGP_NEW_FULLSCREEN_WINDOW_MENU	qApp->translate("MainWindow"	, "&New full screen window"	, "menu")
#define MSGP_CLOSE_ALL_WINDOWS			qApp->translate("MainWindow"	, "Close all windows"		, "toolbar")
#define MSGP_CLOSE_ALL_WINDOWS_MENU		qApp->translate("MainWindow"	, "&Close all windows"		, "menu")
#define MSGP_CLOSE_DOUBLE_WINDOWS		qApp->translate("MainWindow"	, "Close double windows"	, "toolbar")
#define MSGP_CLOSE_DOUBLE_WINDOWS_MENU	qApp->translate("MainWindow"	, "&Close double windows"	, "menu")
#define MSGP_CASCADE_WINDOWS			qApp->translate("MainWindow"	, "Cascade"					, "toolbar")
#define MSGP_CASCADE_WINDOWS_MENU		qApp->translate("MainWindow"	, "&Cascade"				, "menu")
#define MSGP_TILE_WINDOWS				qApp->translate("MainWindow"	, "Tile"					, "toolbar")
#define MSGP_TILE_WINDOWS_MENU			qApp->translate("MainWindow"	, "&Tile"					, "menu")
#define MSGP_HELP_MENU					qApp->translate("Help"			, "?"						, "Help menu")
#define MSGP_ABOUT_QT					qApp->translate("Help"			, "About QT"				, "toolbar: About QT")
#define MSGP_ABOUT_QT_MENU				qApp->translate("Help"			, "About &QT"				, "menu: About QT")
#define MSGP_ABOUT_TITLE				qApp->translate("Help"			, "About Yasa"				, "toolbar: Title of about window")
#define MSGP_ABOUT_TITLE_MENU			qApp->translate("Help"			, "&About Yasa"				, "menu: Title of about window")

#define MSGP_ACTION_NAME_QUESTION		qApp->translate("Actions"		, "Please enter the new name for:%1", "dialog")
#define MSGP_SETACTION_ADD				qApp->translate("SetActions"	, "Add"						, "toolbar")
#define MSGP_SETACTION_ADD_MENU			qApp->translate("SetActions"	, "&Add"					, "menu")
#define MSGP_SETACTION_REMOVE_ALL		qApp->translate("SetActions"	, "Remove all"				, "toolbar")
#define MSGP_SETACTION_REMOVE_ALL_MENU	qApp->translate("SetActions"	, "&Remove all"				, "menu")
#define MSGP_ENTRYACTION_RENAME			qApp->translate("EntryActions"	, "Rename"					, "toolbar")
#define MSGP_ENTRYACTION_RENAME_MENU	qApp->translate("EntryActions"	, "&Rename"					, "menu")
#define MSGP_ENTRYACTION_REMOVE			qApp->translate("EntryActions"	, "Remove"					, "toolbar")
#define MSGP_ENTRYACTION_REMOVE_MENU	qApp->translate("EntryActions"	, "&Remove"					, "menu")
#define MSGP_ENTRYACTION_PROPERTIES		qApp->translate("EntryActions"	, "Properties"				, "toolbar")
#define MSGP_ENTRYACTION_PROPERTIES_MENU qApp->translate("EntryActions"	, "&Properties"				, "menu")
#define MSGP_ENTRY_EXIST_QUESTION		qApp->translate("EntryActions"	, "File \"%1\" already in project!", "Advice")

#define MSGP_PROJECTS_MENU				qApp->translate("ProjectSetActions", "Projects"				, "menu name")
#define MSGP_ADD_PROJECT				qApp->translate("ProjectSetActions", "Add project"			, "toolbar")
#define MSGP_ADD_PROJECT_MENU			qApp->translate("ProjectSetActions", "&Add project"			, "menu")
#define MSGP_CLEANUP_PROJECTS			qApp->translate("ProjectSetActions", "Cleanup projects"		, "toolbar")
#define MSGP_CLEANUP_PROJECTS_MENU		qApp->translate("ProjectSetActions", "&Cleanup projects"	, "menu")
#define MSGP_REMOVE_ALL_PROJECTS		qApp->translate("ProjectSetActions", "Remove all projects"	, "toolbar")
#define MSGP_REMOVE_ALL_PROJECTS_MENU	qApp->translate("ProjectSetActions", "&Remove all projects"	, "menu")
#define MSGP_REMOVE_PROJECT				qApp->translate("ProjectActions", "Remove project"			, "toolbar")
#define MSGP_REMOVE_PROJECT_MENU		qApp->translate("ProjectActions", "&Remove project"			, "menu")
#define MSGP_CLEANUP_PROJECT			qApp->translate("ProjectActions", "Cleanup project"			, "toolbar")
#define MSGP_CLEANUP_PROJECT_MENU		qApp->translate("ProjectActions", "&Cleanup project"		, "menu")

#define MSGP_ADD_TASK					qApp->translate("TaskSetActions", "Add task"				, "toolbar")
#define MSGP_ADD_TASK_MENU				qApp->translate("TaskSetActions", "&Add task"				, "menu")
#define MSGP_REMOVE_ALL_TASKS			qApp->translate("TaskSetActions", "Remove all tasks"		, "toolbar")
#define MSGP_REMOVE_ALL_TASKS_MENU		qApp->translate("TaskSetActions", "&Remove all tasks"		, "menu")
#define MSGP_REMOVE_TASK				qApp->translate("TaskSetActions", "Remove task"				, "toolbar")
#define MSGP_REMOVE_TASK_MENU			qApp->translate("TaskSetActions", "&Remove task"			, "menu")
#define MSGP_RENAME_TASK				qApp->translate("TaskActions"	, "Rename mutex"			, "toolbar")
#define MSGP_RENAME_TASK_MENU			qApp->translate("TaskActions"	, "&Remove mutex"			, "menu")

#define MSGP_ENVIRONMENT_EXECUTE		qApp->translate("EnvironmentActions", "Execute"					, "toolbar")
#define MSGP_ENVIRONMENT_EXECUTE_MENU	qApp->translate("EnvironmentActions", "&Execute"				, "menu")
#define MSGP_ENVIRONMENT_CLEANUP		qApp->translate("EnvironmentActions", "Cleanup"					, "toolbar")
#define MSGP_ENVIRONMENT_CLEANUP_MENU	qApp->translate("EnvironmentActions", "&Cleanup"				, "menu")
#define MSGP_ENVIRONMENT_TIMINGS		qApp->translate("EnvironmentActions", "Timing results"			, "toolbar")
#define MSGP_ENVIRONMENT_TIMINGS_MENU	qApp->translate("EnvironmentActions", "&Timing results"			, "menu")
#define MSGP_ENVIRONMENT_STATISTICS		qApp->translate("EnvironmentActions", "Statistics results"		, "toolbar")
#define MSGP_ENVIRONMENT_STATISTICS_MENU qApp->translate("EnvironmentActions", "&Statistics results"	, "menu")
#define MSGP_ENVIRONMENT_LOGFILE		qApp->translate("EnvironmentActions", "Show logfile"			, "toolbar")
#define MSGP_ENVIRONMENT_LOGFILE_MENU	qApp->translate("EnvironmentActions", "&Show logfile"			, "menu")
#define MSGP_ENVIRONMENT_TIMING_TITLE	qApp->translate("EnvironmentActions", " - Timing diagram"		, "add-on of environment window title")
#define MSGP_ENVIRONMENT_LOGFILE_TITLE	qApp->translate("EnvironmentActions", " - Logfile"				, "add-on of environment window title")
#define MSGP_PROJECT_TIMING_TITLE		qApp->translate("EnvironmentActions", " - Timing diagrams"		, "toolbar")

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//! logile messages
#define MSGP_LF_CPU_NAME				qApp->translate("LogFile"		, "CPU %1"								, 0 )
#define MSGP_LF_TASKSET_NAME			qApp->translate("LogFile"		, "Taskset of environment %1"			, 0 )
#define MSGP_LF_MUTEXSET_NAME			qApp->translate("LogFile"		, "Mutexset of environment %1"			, 0 )
#define MSGP_LF_LOGFILE_NOT_FOUND		qApp->translate("LogFile"		, "Logfile \"%1\" could not be opened!"	, 0 )
#define MSGP_LF_TASK_IDLE				qApp->translate("LogFile"		, "Idle"								, "Name of Idle task" )
#define MSGP_LF_TASK_SYSTEM				qApp->translate("LogFile"		, "System"								, "Name of system task(scheduler)" )
//#define MSGP_LF_TASK_UNKNOWN			qApp->translate("LogFile"		, "Unknown %1"							, "Name of unknown tasks" )
#define MSGP_LF_PARSE_ERROR				qApp->translate("LogFile"		, "Error parsing logfile \"%1\" in line: %2!"	, 0)
#define MSGP_LF_EVALUATING_ERROR		qApp->translate("LogFile"		, "Error evaluating logfile \"%1\"!"	, 0)
#define MSGP_LF_PARSING_LOGFILE			qApp->translate("LogFile"		, "Parsing logfile \"%1\""				, 0)
#define MSGP_LF_LOGFILE_READY			qApp->translate("LogFile"		, "Logfile read successfully."			, 0)
#define MSGP_LF_MAKE_STATISTIC			qApp->translate("LogFile"		, "Generating statistics..."			, 0)
#define MSGP_LF_DEFAULT_TASKNAME		qApp->translate("Workspace"		, "Thread %1"				, "Default name of task during logfile parsing")
#define MSGP_LF_DEFAULT_MUTEXNAME		qApp->translate("Workspace"		, "Mutex %1"				, "Default name of mutex during logfile parsing")
#define MSGP_LF_MUTEX_ORDER_WRONG		qApp->translate("Workspace"		, "Mutex \"%1\" unlocked before \"%2\" at time: %3. That is the wrong order!",0)
#define MSGP_LF_MUTEX_NOT_LOCKED		qApp->translate("Workspace"		, "Mutex \"%1\" is unlocked at time: %2 but not locked! Ignored.",0)


#define MSGP_ADD_MUTEX					qApp->translate("ProjectSetActions", "Add mutex"			, "toolbar")
#define MSGP_ADD_MUTEX_MENU				qApp->translate("ProjectSetActions", "&Add mutex"			, "menu")
#define MSGP_REMOVE_ALL_MUTEXES			qApp->translate("ProjectSetActions", "Remove all mutexes"	, "toolbar")
#define MSGP_REMOVE_ALL_MUTEXES_MENU	qApp->translate("ProjectSetActions", "&Remove all mutexes"	, "menu")
#define MSGP_REMOVE_MUTEX				qApp->translate("ProjectActions", "Remove mutex"			, "toolbar")
#define MSGP_REMOVE_MUTEX_MENU			qApp->translate("ProjectActions", "&Remove mutex"			, "menu")
#define MSGP_RENAME_MUTEX				qApp->translate("ProjectActions", "Rename mutex"			, "toolbar")
#define MSGP_RENAME_MUTEX_MENU			qApp->translate("ProjectActions", "&Remove mutex"			, "menu")

#define MSGP_WORKSPACEMANAGER			qApp->translate("WorkSpaceManager", "ProjectManager"			, "hidden string")
#define MSGP_NEWPROJECT_QUESTION		qApp->translate("WorkSpaceManager", "Do you really want to close the current project and discard all changes?"	, "Project not saved?")
#define MSGP_OVERWRITE_QUESTION			qApp->translate("WorkSpaceManager", "Do you really want to overwrite the existing file:\n\n %1!"				, "Overwrite ?")
#define MSGP_CONFIG_ERROR				qApp->translate("WorkSpaceManager", "Error parsing configuration file \"%1\"\nin line: %2 before position: %3.\n\n\"%4\"\n"	, 0)
#define MSGP_ADD_HEADER_FILE			qApp->translate("FilePath"		, "Please choose header files to add!"	, 0)
#define MSGP_ADD_SOURCE_FILE			qApp->translate("FilePath"		, "Please choose source files to add!"	, 0)

#define MSGP_ZERO						qApp->translate("WorkSpaceManager", ""						, "String not defined")
#define MSGP_DEFAULT_NAME				qApp->translate("WorkSpaceManager", "name_%1"				, "Set default name")
#define MSGP_UNDEFINED_NAME				qApp->translate("WorkSpaceManager", "Undefined"				, "String not defined")
#define MSGP_CHOOSE_WORKSPACE_FILE		qApp->translate("WorkSpaceManager", "Please choose a workspace!"	, 0)
#define MSGP_DEFAULT_PROJECTNAME		qApp->translate("Workspace"		, "Project_%1"				, "Default name of project")
#define MSGP_DEFAULT_TASKNAME			qApp->translate("Workspace"		, "Task_%1"					, "Default name of task")
#define MSGP_DEFAULT_MUTEXNAME			qApp->translate("Workspace"		, "Mutex_%1"				, "Default name of mutex")
#define MSGP_DEFAULT_ENVIRONMENTNAME	qApp->translate("Workspace"		, "Environment_%1"			, "Default name of environment")
#define MSGP_DEFAULT_SCHEDULERNAME		qApp->translate("Workspace"		, "CPU %1"					, "Default name of scheduler")
#define MSGP_DEFAULT_RESUMENAME			qApp->translate("Workspace"		, "Resumetime_%1"			, "Default name of resume set")
#define MSGP_DEFAULT_RESOURCENAME		qApp->translate("Workspace"		, "Resourcetime_%1"			, "Default name of resource times")
//#define MSGP_DEFAULT_SOURCENAME			qApp->translate("Workspace"		, "Source_%1"				, "Default name of source")
//#define MSGP_DEFAULT_HEADERNAME			qApp->translate("Workspace"		, "Header_%1"				, "Default name of headert")
#define MSGP_CAPTION_WORKSPACE			qApp->translate("Workspace"		, "Workspace"				, "Caption of workspace caption in tree")
#define MSGP_CAPTION_PROJECTS			qApp->translate("Workspace"		, "Projects"				, "Caption of projects tree")
#define MSGP_CAPTION_MUTEXES			qApp->translate("Workspace"		, "Mutexes"					, "Caption of mutex tree")
#define MSGP_CAPTION_TASKS				qApp->translate("Workspace"		, "Tasks"					, "Caption of task tree")
#define MSGP_CAPTION_ENVIRONMENTS		qApp->translate("Workspace"		, "Environments"			, "Caption of environments tree")
#define MSGP_CAPTION_SCHEDULERS			qApp->translate("Workspace"		, "Schedulers"				, "Caption of schedulers tree")
#define MSGP_CAPTION_RESULTS			qApp->translate("Workspace"		, "Results"					, "Caption of results tree")
#define MSGP_CAPTION_TIMINGS			qApp->translate("Workspace"		, "Timings"					, "Caption of timing tree")
#define MSGP_CAPTION_STATISTICS			qApp->translate("Workspace"		, "Statistics"				, "Caption of statistic tree")

#define MSGP_WORKSPACE_AUTHOR			qApp->translate("WorkSpaceView"	, "Author"					, "WorkSpace configuration" )
#define MSGP_WORKSPACE_STARTDATE		qApp->translate("WorkSpaceView"	, "Start date"				, "WorkSpace configuration" )
#define MSGP_WORKSPACE_LASTCHANGED		qApp->translate("WorkSpaceView"	, "Last Changed"			, "WorkSpace configuration" )

#define MSGP_PROJECT_END_TIME			qApp->translate("ProjectView"	, "End time"				, "Project configuration" )
#define MSGP_PROJECT_TIMER_TICK			qApp->translate("ProjectView"	, "Tick"					, "Project configuration" )
#define MSGP_CALC_PREEMPTIONTIME		qApp->translate("ProjectView"	, "Calc preemptiontime"		, "Project configuration" )
#define MSGP_PROJECT_PATH				qApp->translate("WorkSpaceView"	, "Work Directory"			, "Project configuration" )

#define MSGP_DELETE_PROJECT				qApp->translate("ProjectView"	, "Delete Project"			, "Popupmenu")
#define MSGP_DELETE_PROJECT_MENU		qApp->translate("ProjectView"	, "&Delete Project"			, "Popupmenu")
#define MSGP_RENAME						qApp->translate("ProjectView"	, "Rename"					, "Popupmenu")
#define MSGP_RENAME_MENU				qApp->translate("ProjectView"	, "&Rename"					, "Popupmenu")

#define MSGP_PLUGIN_EXECUTIVES			qApp->translate("PlugIns"		, "Executives"				, "Name of executive list" )
#define MSGP_PLUGIN_SCHEDULERS			qApp->translate("PlugIns"		, "Schedulers"				, "Name of scheduler list" )

//#define MSGP_TASKSET					qApp->translate("Project"		, "Task set"				, 0)
//#define MSGP_MUTEXSET					qApp->translate("Project"		, "Mutex set"				, 0)
//#define MSGP_EXECUTIVES					qApp->translate("Project"		, "Executives"				, 0)
//#define MSGP_ENVIRONMENT				qApp->translate("Project"		, "Environment"				, 0)
#define MSGP_SORTED_BY_TASKS			qApp->translate("Project"		, "By tasks"				, 0)
#define MSGP_SORTED_BY_MUTEX			qApp->translate("Project"		, "By mutex"				, 0)
#define MSGP_SORTED_BY_CPU				qApp->translate("Project"		, "By CPU"					, 0)
//#define MSGP_UNKNOWN_AUTHOR				qApp->translate("Project"		, "Unknown author"			, 0)
#define MSGP_DEFAULT_SOURCENAME			qApp->translate("Task"			, "Sources"					, "Path to source files of specified project")
#define MSGP_DEFAULT_HEADERNAME			qApp->translate("Task"			, "Headers"					, "Path to header files of specified project")

#define MSGP_WIDGET_NAME				qApp->translate("Widget"		, "Name"					, "Name of widget/object")
#define MSGP_WIDGET_CPU					qApp->translate("Widget"		, "Number of CPUs"			, "Number of cpu")
#define MSGP_WIDGET_DESCRIPTION			qApp->translate("Widget"		, "Description"				, "Caption, Description of widget/object")
#define MSGP_WIDGET_PROPERTIES			qApp->translate("Widget"		, "Properties"				, "Caption: Properties")
#define MSGP_WIDGET_ADD					qApp->translate("Widget"		, "&Add"					, "Add something to a list")
#define MSGP_WIDGET_DELETE				qApp->translate("Widget"		, "&Remove"					, "Remove something from list")
#define MSGP_WIDGET_DELETE_ALL			qApp->translate("Widget"		, "Re&move All"				, "Remove all entries")

#define MSGP_TASKTYPE_NONPERIODIC		qApp->translate("Task"			, "Non periodic"			, "Task is not periodic")
#define MSGP_TASKTYPE_PERIODIC			qApp->translate("Task"			, "Periodic"				, "Task is periodic")
#define MSGP_TASKTYPE_APERIODIC			qApp->translate("Task"			, "Asynchronous"			, "Task is asynchronous")
#define MSGP_DLBEHAVIOUR_IGNORE			qApp->translate("Task"			, "Ignore"					, "Ignore deadline miss")
#define MSGP_DLBEHAVIOUR_CANCEL_TASK	qApp->translate("Task"			, "Cancel task"				, "The task should be cancelled if its deadline was missed")
#define MSGP_DLBEHAVIOUR_SKIP			qApp->translate("Task"			, "Skip task"				, "Skip next task if deadline was missed")
#define MSGP_DLBEHAVIOUR_EMERGENCY_TASK	qApp->translate("Task"			, "Emergency task"			, "A new emergency task should be started after a missed deadline")

#define MSGP_TASK_INIT_FUNCTION			qApp->translate("Task"			, "Init function"			, 0)
#define MSGP_TASK_EXECUTE_FUNCTION		qApp->translate("Task"			, "Execute function"		, 0)
#define MSGP_TASK_CLEANUP_FUNCTION		qApp->translate("Task"			, "Cleanup function"		, 0)
#define MSGP_TASK_TYPE					qApp->translate("Task"			, "Task type"				, 0)
#define MSGP_TASK_CPU					qApp->translate("Task"			, "CPU"						, 0)
#define MSGP_TASK_CPU_ANY				qApp->translate("Task"			, "Any"						, 0)
#define MSGP_TASK_PRIORITY				qApp->translate("Task"			, "Priority"				, 0)
#define MSGP_TASK_PRIORITY_LOWEST		qApp->translate("Task"			, "Lowest"					, 0)
#define MSGP_TASK_PRIORITY_HIGHEST		qApp->translate("Task"			, "Highest"					, 0)
#define MSGP_TASK_PERIOD				qApp->translate("Task"			, "Period (ns)"				, 0)
#define MSGP_TASK_OFFSET				qApp->translate("Task"			, "Offset (ns)"				, 0)
#define MSGP_TASK_OFFSET_NOOFFSET		qApp->translate("Task"			, "No offset"				, 0)
#define MSGP_TASK_REQUIRED_TIME			qApp->translate("Task"			, "Required time (ns)"		, 0)
#define MSGP_TASK_DEADLINE				qApp->translate("Task"			, "Deadline (ns)"			, 0)
#define MSGP_TASK_DEADLINE_TOLERANCE	qApp->translate("Task"			, "Deadline tolerance (ns)"	, 0)
#define MSGP_TASK_DEADLINE_TOLERANCE_NO	qApp->translate("Task"			, "No deadline tolerance"	, 0)
#define MSGP_TASK_DEADLINE_BEHAVIOUR	qApp->translate("Task"			, "Deadline behaviour"		, 0)
#define MSGP_TASK_RESUME_TIMES			qApp->translate("Task"			, "Resume times "			, 0)
#define MSGP_TASK_RESUME_TIME			qApp->translate("Task"			, "Resume time (ns)"		, 0)
#define MSGP_TASK_RESOURCE_TIMES		qApp->translate("Task"			, "Resource times"			, 0)
#define MSGP_TASK_RESOURCE_TIME			qApp->translate("Task"			, "Resource time (ns)"		, 0)
#define MSGP_TASK_ACTION				qApp->translate("Task"			, "Action"					, 0)
#define MSGP_TASK_ACTION_UNDEFINED		qApp->translate("Task"			, "Undefined"				, "No action defined" )
#define MSGP_TASK_ACTION_LOCK_MUTEX		qApp->translate("Task"			, "Lock Mutex"				, 0)
#define MSGP_TASK_ACTION_UNLOCK_MUTEX	qApp->translate("Task"			, "Unlock Mutex"			, 0)
#define MSGP_TASK_MUTEX					qApp->translate("Task"			, "Mutex"					, 0)
#define MSGP_TASK_MUTEX_UNDEFINED		qApp->translate("Task"			, "Mutex undefined"			, "No mutex defined" )

#define MSGP_MUTEX_CEILINGS				qApp->translate("Mutex"			, "Statically and dynamically ceilings of this mutex"	, 0 )
#define MSGP_MUTEX_TASKS				qApp->translate("Mutex"			, "Tasks"					, 0 )
#define MSGP_MUTEX_PRIORITY				qApp->translate("Mutex"			, "Priority"				, 0 )
#define MSGP_MUTEX_PERIOD				qApp->translate("Mutex"			, "Period"					, 0 )
#define MSGP_MUTEX_DEADLINE				qApp->translate("Mutex"			, "Deadline"				, 0 )
#define MSGP_MUTEX_LAXITY				qApp->translate("Mutex"			, "Laxity"					, 0 )
#define MSGP_MUTEX_PROTOCOL				qApp->translate("Mutex"			, "Protocol"				, 0 )
#define MSGP_MUTEX_CEILING				qApp->translate("Mutex"			, "Priority Ceiling"		, 0 )
#define MSGP_MUTEX_PREEMPTCEILING		qApp->translate("Mutex"			, "Preempt Ceiling"			, 0 )
#define MSGP_MUTEX_PTYPE_NORMAL			qApp->translate("Mutex"			, "Normal"					, 0 )
#define MSGP_MUTEX_PTYPE_PIP			qApp->translate("Mutex"			, "Priority Inheritance Protocol (PIP)"		, 0 )
#define MSGP_MUTEX_PTYPE_CSP			qApp->translate("Mutex"			, "Ceiling Semaphore Protocol (CSP)"		, 0 )
#define MSGP_MUTEX_PTYPE_PCP			qApp->translate("Mutex"			, "Priority Ceiling Protocol (PCP)"			, 0 )
#define MSGP_MUTEX_PTYPE_DPCP			qApp->translate("Mutex"			, "Dynamic Priority Ceiling Protocol (DPCP)", 0 )
#define MSGP_MUTEX_PTYPE_KP				qApp->translate("Mutex"			, "Kernelized monitor (KP)"					, 0 )
#define MSGP_MUTEX_PTYPE_SRP			qApp->translate("Mutex"			, "Stack Resource Policy (SRP)"				, 0 )

#define MSGP_ENVIRONMENT_SCHEDULERS		qApp->translate("Environment"		, "Schedulers"				, "Caption of group: Scheduler")
#define MSGP_ENVIRONMENT_EXECUTIVE		qApp->translate("Environment"		, "Executive"				, "Select executive widget name")
#define MSGP_ENVIRONMENT_EXECUTIVE_UNDEFINED qApp->translate("Environment"	, "No executive defined"	, "No executive defined" )
#define MSGP_ENVIRONMENT_SCHEDULING_TIME qApp->translate("Environment"		, "Scheduling time"			, "Time the executive needs schedule and switch tasks")
#define MSGP_ENVIRONMENT_SCHEDULING_TIME_UNSET qApp->translate("Environment", "The scheduling time of this executive is set to zero (unrealistically)"	, "Time the scheduler needs to schedule")
#define MSGP_ENVIRONMENT_SYNCHRONIZATION_OFFSET qApp->translate("Environment", "Synchronization offset"													, 0)
#define MSGP_ENVIRONMENT_SYNCHRONIZATION_OFFSET_UNSET qApp->translate("Environment", "The synchronization offset is a time used to create tasks, mutexes and start all threads synchronized"	, "The synchronization offset")
#define MSGP_ENVIRONMENT_GCC_COMPILER_OPTIONS qApp->translate("Environment"	, "Compiler options"		, "Options of gcc")
#define MSGP_EXECUTIVE_FEATURES			qApp->translate("Environment"		, "Executive features"		, "Caption of executive feature widget")
#define MSGP_EXECUTIVE_DESCRIPTION		qApp->translate("Environment"		, "Description"				, "Caption of description field in executive features")
#define MSGP_ENVIRONMENT_CPU			qApp->translate("Environment"		, "CPU"						, "Number of CPUs in environment window")
#define MSGP_ENVIRONMENT_SCHEDULER		qApp->translate("Environment"		, "Scheduler"				, "Selected scheduler in scheduler group in the environment window")
#define MSGP_ENVIRONMENT_CALCPREEMPTIONTIME qApp->translate("Environment"	, "Calc preemption time"	, "Calc preemption time")
#define MSGP_ENVIRONMENT_TIMERTICK		qApp->translate("Environment"		, "Timer tick"				, "Caption of listview row (Timer tick)")
#define MSGP_ENVIRONMENT_TIMERTICK_NO	qApp->translate("Environment"		, "There is no periodically timer interrupt used. Calc preemption time is not affected."				, "Caption of listview row (Timer tick)")
#define MSGP_ENVIRONMENT_SCHEDULER_UNDEFINED qApp->translate("Environment"	, "No scheduler defined"	, "No scheduler defined" )
#define MSGP_ENVIRONMENT_DERIVE_PROJECT	qApp->translate("Environment"		, "Derive from project"		, "Use project settings" )


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//! Support messages of executives
#define MSGP_EP_SUPPORT_SOURCES				qApp->translate("YExecutivePlugIns", "Support of own project source codes: %1"			, 0)
#define MSGP_EP_SUPPORT_UNLIMITED_CPUS		qApp->translate("YExecutivePlugIns", "Support of any number of CPU's: %1"				, 0)
#define MSGP_EP_SUPPORT_CHANGEABLE_CPUS		qApp->translate("YExecutivePlugIns", "Support of changeable threads: %1"				, 0)
#define MSGP_EP_SUPPORT_RESOURCE_ACTIONS	qApp->translate("YExecutivePlugIns", "Support of resource actions: %1"					, 0)
#define MSGP_EP_SUPPORT_RESUME_TIMES		qApp->translate("YExecutivePlugIns", "Support of resume times: %1"						, 0)
#define MSGP_EP_SUPPORT_EMERGENCY_THREADS	qApp->translate("YExecutivePlugIns", "Support of emergency threads: %1"					, 0)
#define MSGP_EP_SUPPORT_CANCEL_THREADS		qApp->translate("YExecutivePlugIns", "Support of cancellation threads: %1"				, 0)
#define MSGP_EP_SUPPORT_SCHEDULING_TIME		qApp->translate("YExecutivePlugIns", "Support of different scheduling times: %1"		, 0)
#define MSGP_EP_SUPPORT_SYNCHRONIZATION_OFFSET qApp->translate("YExecutivePlugIns", "Support of synchronization offsets: %1"		, 0)

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//! Source generator messages
#define MSGP_SG_PROJECT						qApp->translate("SourceGenerator", "Project       : %1"								, 0 )
#define MSGP_SG_AUTHOR						qApp->translate("SourceGenerator", "Author        : %1"								, 0 )
#define MSGP_SG_FILENAME					qApp->translate("SourceGenerator", "Filename      : $(YASA_PROJECT)/%1/%2"			, 0 )
#define MSGP_SG_CREATION_DATE				qApp->translate("SourceGenerator", "Creation date : %1"								, 0 )
#define MSGP_SG_LASTMODIFIED_DATE			qApp->translate("SourceGenerator", "Last modified : %1"								, 0 )

#define MSGP_SG_DESCRIPTION_PROJECTCONFIG	qApp->translate("SourceGenerator", "YASA project configuration declarations. Do not edit! This file was created by YASA 2 automatically."	, 0)
#define MSGP_SG_DESCRIPTION_EXECUTIVE		qApp->translate("SourceGenerator", "YASA executive declarations. Do not edit! This file was created by YASA 2 automatically."				, 0)
#define MSGP_SG_DESCRIPTION_SCHEDULERS		qApp->translate("SourceGenerator", "YASA scheduler declarations. Do not edit! This file was created by YASA 2 automatically."				, 0)
#define MSGP_SG_DESCRIPTION_TASKSET_S		qApp->translate("SourceGenerator", "YASA taskset definitions. Do not edit! This file was created by YASA 2 automatically."					, 0)
#define MSGP_SG_DESCRIPTION_TASKSET_H		qApp->translate("SourceGenerator", "YASA taskset declarations. Do not edit! This file was created by YASA 2 automatically."					, 0)


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//! Source generator messages of yasa_projectexecutive.h
#define MSGP_SG_ENVIRONMENTAL_SETTINGS		qApp->translate("SourceGenerator", "environmental settings"																, 0)
#define MSGP_SG_PROJECT_SETTINGS			qApp->translate("SourceGenerator", "project settings"																	, 0)
#define MSGP_SG_MUTEX_SETTINGS				qApp->translate("SourceGenerator", "mutex settings"																		, 0)
#define MSGP_SG_SOURCE_DECLARATIONS			qApp->translate("SourceGenerator", "external source declarations"														, 0)
#define MSGP_SG_TIMERTICK_TOO_SHORT			qApp->translate("SourceGenerator", "Timer tick of environment is shorter than the scheduling time!"						, 0)
#define MSGP_SG_SUPPORT_SYNC_PROTOCOLS		qApp->translate("SourceGenerator", "This environment needs to run support enabled synchronization protocols:"			, 0)
#define MSGP_SG_SUPPORT_SYNC_PROTOCOL_SKIPPED qApp->translate("SourceGenerator", "Synchronization protocol \"%1\" not supported by SourceGenerator. Skipped!"		, 0)
#define MSGP_SG_SUPPORT_LOGGING				qApp->translate("SourceGenerator", "This environment needs to run full logfile support"									, 0)
#define MSGP_SG_CHANGEABLE_CPU_NOT_SUPPORTED qApp->translate("SourceGenerator", "Task \"%1\" is configured to run on every cpu. This is not supported by the current executive. CPU 1 is used instead!"				, 0)
#define MSGP_SG_ATTRIBUT_MAPPING			qApp->translate("SourceGenerator", "Mapping of attribut structures"														, 0)
#define MSGP_SG_MUTEX_ARRAY					qApp->translate("SourceGenerator", "Creation array of mutex \"%1\""														, 0)
#define MSGP_SG_TASK_DEFINITIONS			qApp->translate("SourceGenerator", "Defintions of thread \"%1\""														, 0)
#define MSGP_SG_TASK_RESUME_ARRAY			qApp->translate("SourceGenerator", "Resume times of thread \"%1\""														, 0)
#define MSGP_SG_TASK_RESOURCE_ARRAY			qApp->translate("SourceGenerator", "Resource actions of thread \"%1\""													, 0)
#define MSGP_SG_TASK_ARRAY					qApp->translate("SourceGenerator", "Creation array of thread \"%1\""													, 0)
#define MSGP_SG_ENVIRONMENT_ATTR			qApp->translate("SourceGenerator", "Environment attributes"																, 0)
#define MSGP_SG_SCHEDULER_ARRAY				qApp->translate("SourceGenerator", "Scheduler attributes"																, 0)
#define MSGP_SG_CHANGE_ENVIRONMENT_NAME		qApp->translate("SourceGenerator", "The name of the environment \"%1\" is similar to the scheduler name \"%2(%3)\". Please change!"						, 0)
#define MSGP_SG_PERIOD_BUT_NOT_PERIODIC		qApp->translate("SourceGenerator", "The period time of task \"%1\" is set to %2 but threadtype is not set to periodic. Ignored."						, 0)
#define MSGP_SG_PERIOD_INFINITY_TYPE_PERIODIC qApp->translate("SourceGenerator","The period time of task \"%1\" is set to infinity but thread type is periodic. Thread type set to non-periodic!"	, 0)
#define MSGP_SG_ENDTIME_IS_ZERO				qApp->translate("SourceGenerator", "The end time of project \"%1\" should not be zero! Ignored."						, 0)
#define MSGP_SG_ACTION_SKIPPED				qApp->translate("SourceGenerator", "Action \"%1\" not supported. Skipped!"												, 0)
#define MSGP_SG_MUTEX_NOT_DEFINED			qApp->translate("SourceGenerator", "Mutex in resource action of thread \"%1\" at time %2 is not defined. Skipped!"		, 0)
#define MSGP_SG_MUTEX_NOT_USED				qApp->translate("SourceGenerator", "Mutex \"%1\" defined but not used!"													, 0)
#define MSGP_SG_RESUME_TIME_DECREASED		qApp->translate("SourceGenerator", "Resume times must increase! Resume time at %1 of thread \"%2\" skipped!"			, 0)
#define MSGP_SG_TASKTYPE_NOT_DEFINED		qApp->translate("SourceGenerator", "Task type in task \"%1\" is wrong. YASA_THREAD_NONPERIODIC used!"					, 0)
#define MSGP_SG_DEADLINEBEHAVIOUR_NOT_DEFINED qApp->translate("SourceGenerator", "Deadline behaviour in task \"%1\" is wrong. YASA_DL_IGNORE used!"					, 0)
#define MSGP_SG_EMERGENCY_TASK_NOT_DEFINED	qApp->translate("SourceGenerator", "Deadline behaviour in task \"%1\" is set to 'Emergency task' but an emergency task is not defined. YASA_DL_IGNORE used." , 0)
#define MSGP_SG_EMERGENCY_TASK_NOT_SUPPORTED qApp->translate("SourceGenerator", "Deadline behaviour in task \"%1\" is set to 'Emergency task'. This is not supported by the current executive \"%2\". YASA_DL_IGNORE used." , 0)
#define MSGP_SG_CANCEL_THREADS_NOT_SUPPORTED qApp->translate("SourceGenerator", "Deadline behaviour in task \"%1\" is set to 'Cancel threads'. This is not supported by the current executive \"%2\". YASA_DL_IGNORE used." , 0)
#define MSGP_SG_INIT_FUNCTION_MISSING		qApp->translate("SourceGenerator", "The init function in task \"%1\" is missing. Skipped!"								, 0)
#define MSGP_SG_EXECUTE_FUNCTION_MISSING	qApp->translate("SourceGenerator", "The execute function in task \"%1\" is missing. Skipped!"							, 0)
#define MSGP_SG_CLEANUP_FUNCTION_MISSING	qApp->translate("SourceGenerator", "The cleanup function in task \"%1\" is missing. Skipped!"							, 0)
#define MSGP_SG_NAME_TO_LONG				qApp->translate("SourceGenerator", "The name of \"%1\" is too long. It will be truncated to \"%2\"."					, 0)
#define MSGP_SG_ACTIONTIME_TO_HIGH			qApp->translate("SourceGenerator", "The resource time of mutex \"%1\" used in task \"%2\" at t=%3 is higher than the required time %4! Time value is corrected to required time."	,0)
#define MSGP_SG_PERIOD_SMALLER_THAN_TICK	qApp->translate("SourceGenerator", "The period of task \"%1\" is set to %2 and smaller than the timer tick set to %3."	, 0)
#define MSGP_SG_DEADLINE_HIGHER_THAN_PERIOD	qApp->translate("SourceGenerator", "The deadline of task \"%1\" is set to %2 and higher than the period set to %3."		, 0)
#define MSGP_SG_REQUIREDTIME_HIGHER_THAN_PERIOD	qApp->translate("SourceGenerator", "The required time of task \"%1\" is set to %2 and higher than the period set to %3."		, 0)
#define MSGP_SG_REQUIREDTIME_HIGHER_THAN_DEADLINE qApp->translate("SourceGenerator", "The required time of task \"%1\" is set to %2 and higher than the deadline set to %3."		, 0)



// Source generator "comment strings"
/// definitions of mutex comments
#define MSGP_SG_COMMENT_SYNC_NOTHING		qApp->translate("SourceGenerator", "No synchronization protocol used"													, 0)
#define MSGP_SG_COMMENT_SYNC_PIP			qApp->translate("SourceGenerator", "Priority Inheritance Protocol = Basic Priority Inheritance Protocol (used in RTLinux _RTL_POSIX_THREAD_PRIO_PROTECT" , 0)
#define MSGP_SG_COMMENT_SYNC_CSP			qApp->translate("SourceGenerator", "Ceiling Semaphore Protocol sometimes called IPCP=Instant Priority Ceiling Protocol"	, 0)
#define MSGP_SG_COMMENT_SYNC_PCP			qApp->translate("SourceGenerator", "Priority Ceiling Protocol"															, 0)
#define MSGP_SG_COMMENT_SYNC_DPCP			qApp->translate("SourceGenerator", "Dynamic Priority Ceiling Protocol"													, 0)
#define MSGP_SG_COMMENT_SYNC_KP				qApp->translate("SourceGenerator", "Kernelized monitor"																	, 0)
#define MSGP_SG_COMMENT_SYNC_SRP			qApp->translate("SourceGenerator", "Stack resource policy"																, 0)
#define MSGP_SG_COMMENT_NEXT_MUTEX			qApp->translate("SourceGenerator", "Next mutex"																			, 0)
#define MSGP_SG_COMMENT_SYNC_PROTOCOL		qApp->translate("SourceGenerator", "Synchronization protocol: %1"														, 0)
#define MSGP_SG_COMMENT_MUTEXID				qApp->translate("SourceGenerator", "Id of mutex"																		, 0)
#define MSPG_SG_COMMENT_MUTEXNAME			qApp->translate("SourceGenerator", "Name of mutex"																		, 0)
#define MSGP_SG_COMMENT_PRIORITYCEILING		qApp->translate("SourceGenerator", "Priority ceiling"																	, 0)
#define MSGP_SG_COMMENT_PREEMPTCEILING		qApp->translate("SourceGenerator", "Preempt ceiling"																	, 0)
#define MSGP_SG_COMMENT_NEXT_THREAD			qApp->translate("SourceGenerator", "Next thread"																		, 0)
#define MSGP_SG_COMMENT_THREADNAME			qApp->translate("SourceGenerator", "Name of thread"																		, 0)
#define MSGP_SG_COMMENT_THREADID			qApp->translate("SourceGenerator", "Id of thread"																		, 0)
#define MSGP_SG_COMMENT_THREADTYPE			qApp->translate("SourceGenerator", "Type of thread"																		, 0)
#define MSGP_SG_COMMENT_PRIORITY			qApp->translate("SourceGenerator", "Priority"																			, 0)
#define MSGP_SG_COMMENT_PERIOD				qApp->translate("SourceGenerator", "Period"																				, 0)
#define MSGP_SG_COMMENT_REQUIRED_TIME		qApp->translate("SourceGenerator", "Required time"																		, 0)
#define MSGP_SG_COMMENT_DEADLINE			qApp->translate("SourceGenerator", "Deadline"																			, 0)
#define MSGP_SG_COMMENT_DEADLINE_TOLERANCE	qApp->translate("SourceGenerator", "Deadline tolerance"																	, 0)
#define MSGP_SG_COMMENT_OFFSET				qApp->translate("SourceGenerator", "Offset"																				, 0)
#define MSGP_SG_COMMENT_RESUME_VECTOR		qApp->translate("SourceGenerator", "Resume vector"																		, 0)
#define MSGP_SG_COMMENT_RESOURCE_VECTOR		qApp->translate("SourceGenerator", "Resource vector"																	, 0)
#define MSGP_SG_COMMENT_CPU					qApp->translate("SourceGenerator", "CPU"																				, 0)
#define MSGP_SG_COMMENT_DEADLINE_BEHAVIOUR	qApp->translate("SourceGenerator", "Deadline behaviour"																	, 0)
#define MSGP_SG_COMMENT_EMERGENCY_THREAD	qApp->translate("SourceGenerator", "Emergency thread"																	, 0)
#define MSGP_SG_COMMENT_FUNCTION_INIT		qApp->translate("SourceGenerator", "Init function"																		, 0)
#define MSGP_SG_COMMENT_FUNCTION_EXECUTE	qApp->translate("SourceGenerator", "Execute function"																	, 0)
#define MSGP_SG_COMMENT_FUNCTION_CLEANUP	qApp->translate("SourceGenerator", "Cleanup function"																	, 0)
#define MSGP_SG_COMMENT_MUTEX_ATTR			qApp->translate("SourceGenerator", "Mutex attributes"																	, 0)
#define MSGP_SG_COMMENT_THREAD_ATTR			qApp->translate("SourceGenerator", "Thread attributes"																	, 0)
#define MSGP_SG_COMMENT_SCHEDULING_ATTR		qApp->translate("SourceGenerator", "Scheduling attributs"																, 0)
#define MSGP_SG_COMMENT_SYNCHRONIZATION_OFFSET qApp->translate("SourceGenerator", "Synchronization offset"															, 0)
#define MSGP_SG_COMMENT_WORKSPACE_DESCRIPTION	qApp->translate("SourceGenerator", "Workspace description:"															, 0)
#define MSGP_SG_COMMENT_PROJECT_DESCRIPTION		qApp->translate("SourceGenerator", "Project description:"															, 0)
#define MSGP_SG_COMMENT_ENVIRONMENT_DESCRIPTION	qApp->translate("SourceGenerator", "Environment description:"														, 0)
#define MSGP_SG_GPL_LICENSE_C_SOURCE		qApp->translate("SourceGenerator", "\
// This program is free software; you can redistribute it and/or modify\n\
// it under the terms of the GNU General Public License as published by\n\
// the Free Software Foundation; either version 2 of the License, or\n\
// (at your option) any later version.\n\
//\n\
// This program is distributed in the hope that it will be useful,\n\
// but WITHOUT ANY WARRANTY; without even the implied warranty of\n\
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
// GNU General Public License for more details.\n\
//\n\
// You should have received a copy of the GNU General Public License\n\
// along with this program (See the included file COPYING);\n\
// if not, write to the Free Software Foundation, Inc.,\n\
// 675 Mass Ave, Cambridge, MA 02139, USA."																															, 0)

#define MSGP_SG_GPL_LICENSE_BASH_SCRIPT	qApp->translate("SourceGenerator", "\
##########################################################################\n\
# This program is free software; you can redistribute it and/or modify\n\
# it under the terms of the GNU General Public License as published by\n\
# the Free Software Foundation; either version 2 of the License, or\n\
# (at your option) any later version.\n\
#\n\
# This program is distributed in the hope that it will be useful,\n\
# but WITHOUT ANY WARRANTY; without even the implied warranty of\n\
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
# GNU General Public License for more details.\n\
#\n\
# You should have received a copy of the GNU General Public License\n\
# along with this program (See the included file COPYING);\n\
# if not, write to the Free Software Foundation, Inc.,\n\
# 675 Mass Ave, Cambridge, MA 02139, USA.\n\
##########################################################################"																							, 0)


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//! execute messages
#define MSGP_REMOVING_PROJECT				qApp->translate("SourceGenerator", "Removing project \"%1\"."							, 0 )
#define MSGP_E_EXECUTING_PROJECT			qApp->translate("SourceGenerator", "Executing project \"%1\"."							, 0 )
#define MSGP_E_EXECUTIVE_SUPPORT			qApp->translate("SourceGenerator", "Using executive \"%1\" with the following features:", 0 )
#define MSGP_E_GENERATING_SOURCECODE		qApp->translate("SourceGenerator", "Generating source code of project: \"%1\", environment: \"%2\" using executive: \"%3\"."		, 0 )
#define MSGP_E_STARTING_ENVIRONMENT			qApp->translate("SourceGenerator", "Starting environment \"%1\"..."						, 0 )
#define MSGP_E_CHECKING_PARAMETERS			qApp->translate("SourceGenerator", "Checking parameters of current environment."		, 0 )
#define MSGP_E_CHANGING_DIRECTORY			qApp->translate("SourceGenerator", "Changing directory to: \"%1\"."						, 0 )
#define MSGP_E_CREATING_FILE				qApp->translate("SourceGenerator", "Creating \"%1\"."									, 0 )
#define MSGP_E_ENVIRONMENT_FINISHED			qApp->translate("SourceGenerator", "Environment \"%1\" finished with return code: %2."	, 0 )
#define MSGP_E_CLEANING_ENVIRONMENT			qApp->translate("SourceGenerator", "Cleaning up environment \"%1\" of project \"%2\"."	, 0 )
#define MSGP_E_REMOVING_DIRECTORY			qApp->translate("SourceGenerator", "Removing directory: \"%1\"."						, 0 )

// execute error messages
#define MSGP_EE_GENERATING_ABORTED			qApp->translate("SourceGenerator", "Generation aborted with error code: %1!"			, 0 )
#define MSGP_EE_CREATE_PROJECT_DIRECTORY	qApp->translate("SourceGenerator", "Could not change to project directory: \"%1\"!"		, 0 )
#define MSGP_EE_CREATE_WORK_DIRECTORY		qApp->translate("SourceGenerator", "Could not change to work directory: \"%1\"!"		, 0 )
#define MSGP_EE_SCHEDULER_NOT_DEFINED		qApp->translate("SourceGenerator", "Scheduler of CPU %1 is not defined!"				, 0 )
#define MSGP_EE_EXECUTIVE_NOT_DEFINED		qApp->translate("SourceGenerator", "Executive not defined. Simulation aborted!"			, 0 )
#define MSGP_FILE_NOT_FOUND					qApp->translate("SourceGenerator", "Could not open file \"%1\"!"						, 0 )
#define MSGP_BACKGROUND_NOT_FOUND			qApp->translate("SourceGenerator", "Could not open background pixmap \"%1\"!"			, 0 )


// Timing messages
#define MSGP_TI_SUBTITLE_TASK				qApp->translate("Timingwindow"	 , "Task"												, 0 )
#define MSGP_TI_SUBTITLE_MUTEX				qApp->translate("Timingwindow"	 , "Mutex"												, 0 )
#define MSGP_TI_SUBTITLE_CPU				qApp->translate("Timingwindow"	 , "CPU"												, 0 )
#define MSGP_TI_SUBTITLE_ENVIRONMENT		qApp->translate("Timingwindow"	 , "Environment"										, 0 )
#define MSGP_TI_SUBTITLE_PROJECT			qApp->translate("Timingwindow"	 , "Project"											, 0 )

#define MSGP_TI_TITLE_ENVIRONMENT			qApp->translate("Timingwindow"	 , "Timing diagram of %1 \"%2\" using environment \"%3\" - %4 order" , "Example: Timing diagram of project \"Example\" using environment \"Simulator\" - task order" )
#define MSGP_TI_TITLE_PROJECT				qApp->translate("Timingwindow"	 , "Timing diagram of %1 \"%2\" - %3 order" , "Example: Timing diagram of task \"Swapping\" - environment order" )
#define MSGP_TI_WINDOW_CLOSED				qApp->translate("Timingwindow"	 , "No valid timing information found. Window closed!"	, 0)

// Statistically messages
#define MSGP_SR_TITLE_ENVIRONMENT			qApp->translate("Statisticwindow" , "Statistically results of project \"%1\" using environment \"%2\" - %3 order"	, "Example: Timing diagram of project \"Example\" using environment \"Simulator\" - task order" )
#define MSGP_SR_TITLE_PROJECT				qApp->translate("Statisticwindow" , "Statistically results of %1 \"%2\" in project \"%3\" - environment order"		, "Example: Timing diagram of task \"Swapping\" - environment order" )
#define MSGP_SR_TITLE_SUMMARY				qApp->translate("Statisticwindow" , "Summary of statistically results of project \"%1\" - environment order"		, "Example: Summary of project \"Jitter example\" - environment order" )
#define MSGP_SR_WINDOW_CLOSED				qApp->translate("Statisticwindow" , "No valid statistic information found. Window closed!"	, 0)

#define MSGP_ENVIRONMENT_STATISTIC_TITLE	qApp->translate("Statisticwindow", " - Statistic"					, "add-on of environment window title"	)
#define MSGP_PROJECT_STATISTIC_TITLE		qApp->translate("Statisticwindow", " - Statistics"					, "add-on of environment window title"	)

//! row descriptions of "task properties"
#define MSGP_TP_ID							qApp->translate("Statisticwindow", "Thread ID"						, "description in task statistic table" )
#define MSGP_TP_ACTIVATIONS					qApp->translate("Statisticwindow", "Activations"					, "description in task statistic table" )
#define MSGP_TP_STARTS						qApp->translate("Statisticwindow", "Starts"							, "description in task statistic table" )
#define MSGP_TP_PERIOD						qApp->translate("Statisticwindow", "Period"							, "description in task statistic table" )
#define MSGP_TP_DEADLINE					qApp->translate("Statisticwindow", "Deadline"						, "description in task statistic table" )
#define MSGP_TP_PREEMPTIONS					qApp->translate("Statisticwindow", "Preemptions"					, "description in task statistic table" )
#define MSGP_TP_CPU_LOSSES					qApp->translate("Statisticwindow", "CPU losses"						, "description in task statistic table" )
#define MSGP_TP_EXCLUSIONS					qApp->translate("Statisticwindow", "Exclusions"						, "description in task statistic table" )
#define MSGP_TP_MATCHED_DEADLINES			qApp->translate("Statisticwindow", "Matched deadlines"				, "description in task statistic table" )
#define MSGP_TP_MISSED_DEADLINES			qApp->translate("Statisticwindow", "Missed deadlines"				, "description in task statistic table" )
#define MSGP_TP_DETECTED_DEADLINE_MISSES	qApp->translate("Statisticwindow", "Detected deadline misses"		, "description in task statistic table" )
#define MSGP_TP_DEADLINE_TOLERANCE_STARTS	qApp->translate("Statisticwindow", "Deadline tolerance starts"		, "description in task statistic table" )
#define MSGP_TP_DEADLINE_TOLERANCE_MISSES	qApp->translate("Statisticwindow", "Deadline tolerance misses"		, "description in task statistic table" )
//#define MSGP_TP_DETECTED_TOLERANCE_MISSES	qApp->translate("Statisticwindow", "Detected tolerance misses"		, "description in task statistic table" )
#define MSGP_TP_SYNCHRONIZATION_OFFSET		qApp->translate("Statisticwindow", "Synchronization offset"			, "description in task statistic table" )
#define MSGP_TP_MIN_COMPUTATION_TIME		qApp->translate("Statisticwindow", "Min. computation time"			, "description in task statistic table" )
#define MSGP_TP_MAX_COMPUTATION_TIME		qApp->translate("Statisticwindow", "Max. computation time"			, "description in task statistic table" )
#define MSGP_TP_AVERAGE_COMPUTATION_TIME	qApp->translate("Statisticwindow", "Average computation time"		, "description in task statistic table" )
#define MSGP_TP_COMPUTATION_TIME			qApp->translate("Statisticwindow", "Computation time"				, "description in task statistic table" )
#define MSGP_TP_UTILIZATION					qApp->translate("Statisticwindow", "Utilization"					, "description in task statistic table" )
#define MSGP_TP_MIN_REACTION_TIME			qApp->translate("Statisticwindow", "Min. reaction time"				, "description in task statistic table" )
#define MSGP_TP_MAX_REACTION_TIME			qApp->translate("Statisticwindow", "Max. reaction time"				, "description in task statistic table" )
#define MSGP_TP_AVERAGE_REACTION_TIME		qApp->translate("Statisticwindow", "Average reaction time"			, "description in task statistic table" )
#define MSGP_TP_MIN_JITTER					qApp->translate("Statisticwindow", "Min. jitter"					, "description in task statistic table" )
#define MSGP_TP_MAX_JITTER					qApp->translate("Statisticwindow", "Max. jitter"					, "description in task statistic table" )
#define MSGP_TP_AVERAGE_JITTER				qApp->translate("Statisticwindow", "Average jitter"					, "description in task statistic table" )
#define MSGP_TP_JITTER_PERCENT				qApp->translate("Statisticwindow", "Jitter (%)"						, "description in task statistic table" )
#define MSGP_TP_SKIPPED_THREADS				qApp->translate("Statisticwindow", "Skipped"						, "description in task statistic table" )
#define MSGP_TP_THREADS_SUSPENDED			qApp->translate("Statisticwindow", "Suspended"						, "description in task statistic table" )
#define MSGP_TP_EMERGENCY_THREADS			qApp->translate("Statisticwindow", "Emergency threads"				, "description in task statistic table" )
#define MSGP_TP_LOCKED_MUTEXES				qApp->translate("Statisticwindow", "Locked mutexes"					, "description in task statistic table" )
#define MSGP_TP_UNLOCKED_MUTEXES			qApp->translate("Statisticwindow", "Unlocked mutexes"				, "description in task statistic table" )
#define MSGP_TP_RELOCKED_MUTEXES			qApp->translate("Statisticwindow", "Mutexes relocked"				, "description in task statistic table" )
#define MSGP_TP_BLOCKED_MUTEXES				qApp->translate("Statisticwindow", "Blocked by mutexes"				, "description in task statistic table" )
#define MSGP_TP_MAX_PRIORITY_CEILING		qApp->translate("Statisticwindow", "Max. priority ceiling"			, "description in task statistic table" )
#define MSGP_TP_NUMBER_OF_PRIORITY_CHANGES	qApp->translate("Statisticwindow", "Number of priority changes"		, "description in mutex statistic table" )

//! row descriptions of "mutex properties"
#define MSGP_MP_LOCKED						qApp->translate("Statisticwindow", "Locked"							, "description in mutex statistic table" )
#define MSGP_MP_RELOCKED					qApp->translate("Statisticwindow", "Relocked"						, "description in mutex statistic table" )
#define MSGP_MP_UNLOCKED					qApp->translate("Statisticwindow", "Unlocked"						, "description in mutex statistic table" )
#define MSGP_MP_BLOCKED						qApp->translate("Statisticwindow", "Blocked"						, "description in mutex statistic table" )
#define MSGP_MP_MAX_PRIORITY_CEILING		qApp->translate("Statisticwindow", "Max. priority ceiling"			, "description in mutex statistic table" )
#define MSGP_MP_NUMBER_OF_PRIORITY_CHANGES	qApp->translate("Statisticwindow", "Number of priority changes"		, "description in mutex statistic table" )
#define MSGP_MP_MIN_LOCKING_TIME			qApp->translate("Statisticwindow", "Min. locking time"				, "description in mutex statistic table" )
#define MSGP_MP_MAX_LOCKING_TIME			qApp->translate("Statisticwindow", "Max. locking time"				, "description in mutex statistic table" )
#define MSGP_MP_AVERAGE_LOCKING_TIME		qApp->translate("Statisticwindow", "Average locking time"			, "description in mutex statistic table" )

//! row descriptions of "cpu properties"
#define MSGP_CP_SCHEDULER_NAME				qApp->translate("Statisticwindow", "Scheduler name"					, "description in cpu statistic table" )
#define MSGP_CP_SCHEDULER_VERSION			qApp->translate("Statisticwindow", "Scheduler version"				, "description in cpu statistic table" )
#define MSGP_CP_NUMBER_OF_CPU				qApp->translate("Statisticwindow", "Number of CPU"					, "description in cpu statistic table" )
#define MSGP_CP_EXECUTION_START				qApp->translate("Statisticwindow", "Execution start"				, "description in cpu statistic table" )
#define MSGP_CP_SCHEDULES_EXECUTION_END		qApp->translate("Statisticwindow", "Scheduled execution end"		, "description in cpu statistic table" )
#define MSGP_CP_EXECUTION_END				qApp->translate("Statisticwindow", "Execution end"					, "description in cpu statistic table" )
#define MSGP_CP_EXECUTION_DURATION			qApp->translate("Statisticwindow", "Execution duration"				, "description in cpu statistic table" )
#define MSGP_CP_SCHEDULER_TICK				qApp->translate("Statisticwindow", "Scheduling tick"				, "description in cpu statistic table" )
#define MSGP_CP_CALC_PREEMPTION_TIME		qApp->translate("Statisticwindow", "Calc preemption time"			, "description in cpu statistic table" )
#define MSGP_CP_NUMBER_OF_TASKS				qApp->translate("Statisticwindow", "User tasks"						, "description in cpu statistic table" )
#define MSGP_CP_TASK_SWITCHES				qApp->translate("Statisticwindow", "Task switches"					, "description in cpu statistic table" )
#define MSGP_CP_TASK_CPU_SWITCHES			qApp->translate("Statisticwindow", "CPU task switches"				, "description in cpu statistic table" )
#define MSGP_CP_MATCHED_DEADLINES			qApp->translate("Statisticwindow", "Matched deadlines"				, "description in cpu statistic table" )
#define MSGP_CP_MISSED_DEADLINES			qApp->translate("Statisticwindow", "Missed deadlines"				, "description in cpu statistic table" )
#define MSGP_CP_DETECTED_DEADLINE_MISSES	qApp->translate("Statisticwindow", "Detected deadline misses"		, "description in cpu statistic table" )
#define MSGP_CP_MISSED_TOLERANCE_DEADLINES	qApp->translate("Statisticwindow", "Missed tolerance deadlines"		, "description in cpu statistic table" )
#define MSGP_CP_SIZE_OF_LOGBUFFER			qApp->translate("Statisticwindow", "Size of logbuffer"				, "description in cpu statistic table" )
#define MSGP_CP_USAGE_OF_LOGBUFFER			qApp->translate("Statisticwindow", "Used logbuffer"					, "description in cpu statistic table" )
#define MSGP_CP_USAGE_OF_LOGBUFFER_PERCENT	qApp->translate("Statisticwindow", "Used logbuffer(%)"				, "description in cpu statistic table" )
#define MSGP_CP_UTILIZATION					qApp->translate("Statisticwindow", "Utilization"					, "description in cpu statistic table" )
#define MSGP_CP_UTILIZATION_PERCENT			qApp->translate("Statisticwindow", "Utilization (%)"				, "description in cpu statistic table" )
#define MSGP_CP_IDLE						qApp->translate("Statisticwindow", "Idle time"						, "description in cpu statistic table" )
#define MSGP_CP_IDLE_PERCENT				qApp->translate("Statisticwindow", "Idle time (%)"					, "description in cpu statistic table" )
#define MSGP_CP_SCHEDULER_CALLS				qApp->translate("Statisticwindow", "Scheduler calls"				, "description in cpu statistic table" )
#define MSGP_CP_TIME_OF_SCHEDULING			qApp->translate("Statisticwindow", "Time of scheduling"				, "description in cpu statistic table" )
#define MSGP_CP_TIME_OF_SCHEDULING_PERCENT	qApp->translate("Statisticwindow", "Time of scheduling (%)"			, "description in cpu statistic table" )
#define MSGP_CP_LOCKED						qApp->translate("Statisticwindow", "Locked mutexes"					, "description in cpu statistic table" )
#define MSGP_CP_RELOCKED					qApp->translate("Statisticwindow", "Relocked mutexes"				, "description in cpu statistic table" )
#define MSGP_CP_UNLOCKED					qApp->translate("Statisticwindow", "Unlocked mutexes"				, "description in cpu statistic table" )
#define MSGP_CP_BLOCKED						qApp->translate("Statisticwindow", "Blocked mutexes"				, "description in cpu statistic table" )
#define MSGP_CP_MAX_PRIORITY_CEILING		qApp->translate("Statisticwindow", "Max. priority ceiling"			, "description in cpu statistic table" )
#define MSGP_CP_NUMBER_OF_PRIORITY_CHANGES	qApp->translate("Statisticwindow", "Number of priority changes"		, "description in cpu statistic table" )


//! row descriptions of "environment properties"
#define MSGP_EP_YASA_VERSION				qApp->translate("Statisticwindow", "Yasa version"					, "description in cpu statistic table" )
#define MSGP_EP_EXECUTIVE_NAME				qApp->translate("Statisticwindow", "Executive name"					, "description in cpu statistic table" )
#define MSGP_EP_EXECUTIVE_VERSION			qApp->translate("Statisticwindow", "Executive version"				, "description in cpu statistic table" )
#define MSGP_EP_NUMBER_OF_CPUS				qApp->translate("Statisticwindow", "Number of CPUs"					, "description in environment statistic table" )
//#define MSGP_EP_UTILIZATION_OF_CPUS		qApp->translate("Statisticwindow", "Utilization of all cpus"		, "description in environment statistic table" )
#define MSGP_EP_UTILIZATION_OF_CPUS_PERCENT	qApp->translate("Statisticwindow", "Utilization of all CPUs (%)"	, "description in environment statistic table" )
#define MSGP_EP_SCHEDULER_CALLS				qApp->translate("Statisticwindow", "Scheduler calls"				, "description in environment statistic table" )
#define MSGP_EP_TASK_SWITCHES				qApp->translate("Statisticwindow", "Task switches"					, "description in environment statistic table" )
#define MSGP_EP_TASK_CPU_SWITCHES			qApp->translate("Statisticwindow", "CPU task switches"				, "description in environment statistic table" )
#define MSGP_EP_ACTIVATIONS					qApp->translate("Statisticwindow", "Thread activations"				, "description in environment statistic table" )
#define MSGP_EP_STARTS						qApp->translate("Statisticwindow", "Thread starts"					, "description in environment statistic table" )
#define MSGP_EP_THREADS_SUSPENDED			qApp->translate("Statisticwindow", "Threads suspended"				, "description in environment statistic table" )
#define MSGP_EP_PREEMPTIONS					qApp->translate("Statisticwindow", "Preemptions"					, "description in environment statistic table" )
#define MSGP_EP_CPU_LOSSES					qApp->translate("Statisticwindow", "CPU losses"						, "description in task statistic table" )
#define MSGP_EP_EXCLUSIONS					qApp->translate("Statisticwindow", "Exclusions"						, "description in environment statistic table" )
#define MSGP_EP_SKIPPED_THREADS				qApp->translate("Statisticwindow", "Threads skipped"				, "description in environment statistic table" )
#define MSGP_EP_EMERGENCY_THREADS			qApp->translate("Statisticwindow", "Emergency threads"				, "description in environment statistic table" )
#define MSGP_EP_MATCHED_DEADLINES			qApp->translate("Statisticwindow", "Matched deadlines"				, "description in environment statistic table" )
#define MSGP_EP_MISSED_DEADLINES			qApp->translate("Statisticwindow", "Missed deadlines"				, "description in environment statistic table" )
#define MSGP_EP_DETECTED_DEADLINE_MISSES	qApp->translate("Statisticwindow", "Detected deadline misses"		, "description in environment statistic table" )
#define MSGP_EP_MISSED_TOLERANCE_DEADLINES	qApp->translate("Statisticwindow", "Missed tolerance deadlines"		, "description in environment statistic table" )
#define MSGP_EP_SIZE_OF_LOGBUFFER			qApp->translate("Statisticwindow", "Size of logbuffers"				, "description in environment statistic table" )
#define MSGP_EP_USAGE_OF_LOGBUFFER			qApp->translate("Statisticwindow", "Usage of logbuffers"			, "description in environment statistic table" )
#define MSGP_EP_USAGE_OF_LOGBUFFER_PERCENT	qApp->translate("Statisticwindow", "Usage of logbuffers (%)"		, "description in environment statistic table" )
#define MSGP_EP_IDLE						qApp->translate("Statisticwindow", "Idle"							, "description in environment statistic table" )
#define MSGP_EP_IDLE_PERCENT				qApp->translate("Statisticwindow", "Idle(%)"						, "description in environment statistic table" )
#define MSGP_EP_TIME_OF_SCHEDULING			qApp->translate("Statisticwindow", "Time of scheduling"				, "description in environment statistic table" )
#define MSGP_EP_TIME_OF_SCHEDULING_PERCENT	qApp->translate("Statisticwindow", "Time of scheduling (%)"			, "description in environment statistic table" )
#define MSGP_EP_LOCKED						qApp->translate("Statisticwindow", "Locked mutexes"					, "description in environment statistic table" )
#define MSGP_EP_RELOCKED					qApp->translate("Statisticwindow", "Relocked mutexes"				, "description in environment statistic table" )
#define MSGP_EP_UNLOCKED					qApp->translate("Statisticwindow", "Unlocked mutexes"				, "description in environment statistic table" )
#define MSGP_EP_BLOCKED						qApp->translate("Statisticwindow", "Blocked mutexes"				, "description in environment statistic table" )
#define MSGP_EP_MAX_PRIORITY_CEILING		qApp->translate("Statisticwindow", "Max. priority ceilings"			, "description in environment statistic table" )
#define MSGP_EP_NUMBER_OF_PRIORITY_CHANGES	qApp->translate("Statisticwindow", "Number of priority changes"		, "description in environment statistic table" )




//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif																	// ifndef YASAGUI_TRANSLATIONS_INCLUDE
