////////////////////////////////////////////////////////////////////////////////////
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2001/11/26
// $Header: /sources/yasa/executives/rtlinux/examples/rtprinter/simple.c,v 1.1 2003/01/23 09:27:50 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <math.h>


// define the possible module parameters. Here "value" as integer
#ifdef MODULE
#if LINUX_VERSION_CODE > 0x20115
MODULE_PARM(value,"i");
#endif
int value=1;

#define PI	3.14


////////////////////////////////////////////////////////////////////////////////////
void sinus(float a)
{
	printk("simple: sin(%f)=%f\n",a,sin(a));
}


////////////////////////////////////////////////////////////////////////////////////
int init_module(void)
{
	printk("simple: Hello world!, value: %d\n", value);
	sinus(PI);
	return 0;
}


////////////////////////////////////////////////////////////////////////////////////
void cleanup_module(void)
{
	printk("simple: bye!, value: %d\n", value);
}






#endif																// ifdef MODULE
