//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA project startup file for simulations.
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2002/01/17
// $Header: /sources/yasa/executives/simulator/sources/startup/simulator_projectstartup.c,v 1.3 2003/01/23 09:18:31 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <yasa/yasa.h>
#include <yasa_projecttaskset.h>


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
extern YASA_ENVIRONMENT_ATTR	YP_ENVIRONMENT_ATTR;
#define yp_environment_attr		&YP_ENVIRONMENT_ATTR


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
void func(YASA_SCHEDULER_ATTR	**tmp2)
{
	YASA_SCHEDULER_ATTR	*tmp;
	int i,j;
	for ( i=0; i<4; i++)
	{
		tmp=*tmp2;
		printf("next     : %ld\n", tmp->next);
		printf("name     : %s\n" , tmp->name);
		printf("id       : %ld\n", tmp->id);
		printf("version  : %ld\n", tmp->yasa_version);
		printf("userdata : %ld\n", tmp->userdata);
		printf("version  : %ld\n", tmp->yasa_version);
		printf("init     : %ld\n", tmp->yasa_init);
		printf("cleanup  : %ld\n", tmp->yasa_cleanup);
		printf("schedule : %ld\n", tmp->yasa_schedule);
		printf("preemptor: %ld\n\n", tmp->yasa_findpreemptor);

		tmp2++;
	}
}
*/


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
int main(int argc, char *argv[])
{
	FILE	*handle;

	if ( argc>1 )
		handle=fopen(argv[1], "w+");
	else
		handle=stdout;

	if ( handle )
	{
		if ( yp_environment_attr.firstschedulingattr )
			return yasa_simulator_scheduling( yp_environment_attr, handle);
		else
		{
			printf("Error in arguments: scheduling attr not defined!\n");
			return YASAE_ERROR_IN_ARGUMENTS;
		}
	}
	else
		return YASAE_COULD_NOT_OPEN_FILE;
}
