//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA task view window code
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2002/02/28
// $Header: /sources/yasa/yasagui/taskviewwindow.cpp,v 1.1 2003/02/26 14:13:24 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <qlayout.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include "taskviewwindow.h"

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ATTENTION: This code is absolutely BETA and not finished yet !!!
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
class YTaskTableItem : public QTableItem
{public:				YStatisticTableItem(QTable *table, const QString &text=YStatisticBaseEntry::GetUnknownString() ) :
						QTableItem(table, QTableItem::Never, text )
						{}
	virtual int			alignment()	const								{	return AlignVCenter | AlignRight;						}
};
*/
void YTaskTable::ValueChanged(int row, int col)
{
	YTaskTableItem	*i;

	i= (YTaskTableItem*) item(row,col);
	if ( i )
	{
		i->ItemChanged();
	}
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
int YTaskViewFrame::InitInstance()
{
	YTaskSet			*taskset=(YTaskSet*)GetObject();
	unsigned int		i;

	YTaskTableRow::SetHeaders(table);
	table.setNumRows( taskset->GetCount() );
	table.setSorting(true);
	for (i=0; i<taskset->GetCount() ; i++)
	{
		new YTaskTableRow(table, (YTask*) taskset->At(i), i );
	}

	return YObjectFrame::InitInstance();
}

/*
	YTask				*task=(YTask*)GetObject();

	QFrame				*scrollframe	= new QTable( GetMainWidget() );
	QVBoxLayout			*vboxlayout		= new QVBoxLayout(scrollframe, MDI_SCROLLVIEW_BORDER );


	QGroupBox	*group1		= new QGroupBox( 5, Horizontal, MSGP_WIDGET_PROPERTIES	, scrollframe );
	QHBox		*middleframe= new QHBox ( scrollframe );
	QGroupBox	*group2		= new QGroupBox( 1, Horizontal, MSGP_WIDGET_DESCRIPTION	, scrollframe );

	vboxlayout->addWidget( group1 );
	vboxlayout->addWidget( middleframe );
	vboxlayout->addWidget( group2 );
	group1->setAlignment(AlignHCenter);
	group2->setAlignment(AlignHCenter);


	// upper group
	QFrame	*upper[]=
	{
		new QVBox( group1 ),
		new QVBox( group1 ),
		new QFrame(group1 ),
		new QVBox( group1 ),
		new QVBox( group1 ),
	};
	upper[2]->setMinimumWidth(MDI_SCROLLVIEW_BORDER);
	new	QLabel(MSGP_WIDGET_NAME				, upper[0] );
	new QLabel(MSGP_TASK_PERIOD				, upper[0] );
	new QLabel(MSGP_TASK_REQUIRED_TIME		, upper[0] );
	new QLabel(MSGP_TASK_OFFSET				, upper[0] );
	new QLabel(MSGP_TASK_DEADLINE			, upper[0] );
	new QLabel(MSGP_TASK_DEADLINE_TOLERANCE	, upper[0] );
	new QLabel(MSGP_TASK_DEADLINE_BEHAVIOUR	, upper[0] );

	new YNameWidget(				task	, upper[1] );
	new YPeriodWidget(				task	, upper[1] );
	new YRequiredTimeWidget(		task	, upper[1] );
	new YOffsetWidget(				task	, upper[1] );
	new YDeadlineWidget(			task	, upper[1] );
	new YDeadlineToleranceWidget(	task	, upper[1] );
	new YDeadlineBehaviourWidget(	task	, upper[1] );

	new QLabel(MSGP_TASK_TYPE				, upper[3] );
	new QLabel(MSGP_TASK_PRIORITY			, upper[3] );
	new QLabel(MSGP_TASK_CPU				, upper[3] );
	new QLabel(MSGP_TASK_INIT_FUNCTION		, upper[3] );
	new QLabel(MSGP_TASK_EXECUTE_FUNCTION	, upper[3] );
	new QLabel(MSGP_TASK_CLEANUP_FUNCTION	, upper[3] );

	new YTaskTypeWidget(			task	, upper[4] );
	new YPriorityWidget(			task	, upper[4] );
	new YCPUTaskWidget(				task	, upper[4] );
	new YInitFunctionWidget(		task	, upper[4] );
	new YExecuteFunctionWidget(		task	, upper[4] );
	new YCleanupFunctionWidget(		task	, upper[4] );

	// middle frame
	YListViewGroup	*list1			=	new YResourceActionWidget( &task->GetResourceActionSet(), middleframe );
	QFrame			*middleframe2	=	new QFrame(middleframe);
	YListViewGroup	*list2			=	new YResumeTimeWidget( &task->GetResumeTimeSet(), middleframe );
	middleframe2->setMinimumWidth(MDI_SCROLLVIEW_BORDER);
	list1->InitInstance();
	list2->InitInstance();

	// lower group
	new YDescriptionWidget( task, group2 );


	scrollview.addChild(scrollframe);
	scrollview.setResizePolicy(QScrollView::AutoOneFit);

	return YObjectFrame::InitInstance();
}


*/




